# std::tolower

From cppreference.com
< cpp‎ | string‎ | byte

Defined in header `<cctype>` |  |
int tolower( int ch ); |  |

Converts the given character to lowercase according to the character conversion rules defined by the currently installed C locale.

In the default "C" locale, the following uppercase letters `ABCDEFGHIJKLMNOPQRSTUVWXYZ` are replaced with respective lowercase letters `abcdefghijklmnopqrstuvwxyz`.

### Parameters

ch | - | character to be converted. If the value of `ch` is not representable as unsigned char and does not equal EOF, the behavior is undefined

### Return value

Lowercase version of `ch` or unmodified `ch` if no lowercase version is listed in the current C locale.

### Example

Run this code

    #include <iostream>
    #include <cctype>
    #include <clocale>

    int main()
    {
        unsigned char c = '\xb4'; // the character Ž in ISO-8859-15
                                  // but ´ (acute accent) in ISO-8859-1

        std::setlocale(LC_ALL, "en_US.iso88591");
        std::cout << std::hex << std::showbase;
        std::cout << "in iso8859-1, tolower('0xb4') gives "
                  << std::tolower(c) << '\n';
        std::setlocale(LC_ALL, "en_US.iso885915");
        std::cout << "in iso8859-15, tolower('0xb4') gives "
                  << std::tolower(c) << '\n';
    }

Output:

    in iso8859-1, tolower('0xb4') gives 0xb4
    in iso8859-15, tolower('0xb4') gives 0xb8

### See also

toupper | converts a character to uppercase (function)
tolower(std::locale) | converts a character to lowercase using the ctype facet of a locale (function template)
towlower | converts a wide character to lowercase (function)
C documentation for tolower

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/byte/tolower&oldid=75034"